<script setup lang="ts">
const commitSha = import.meta.env.VITE_COMMIT_SHA
</script>

<template>
<QHeader elevated >
    <QToolbar>
        <QBreadcrumbs>
            <QBreadcrumbsEl icon="home" label="App" to="App" />
            <QBreadcrumbsEl icon="info" label="About" disable class="inactive-breadcrumb"/>
        </QBreadcrumbs>
        <QSpace/>
        <span v-if="!!commitSha">
            Running Version
            <a :href="'https://gitlab.com/waldemarlehner-hrw/ss-2022/projektarbeit/building-visualization-app/-/commit/'+commitSha">{{commitSha.slice(0,8)}}</a>
        </span>
    </QToolbar>
</QHeader>
</template>



<style scoped lang="scss">
.inactive-breadcrumb {
    opacity: .4;
}
a {
    color: white
}



</style>